List apptemplates
curl --request GET \
--url https://api.gcore.com/cloud/v1/apptemplates/{project_id}/{region_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/apptemplates/{project_id}/{region_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/apptemplates/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"app_config": [
{
"description": "tf2_hostname.description",
"label": "tf2_hostname.label",
"name": "tf2_hostname",
"required": true,
"type": "string"
}
],
"category": "gaming",
"description": "tf2server.description",
"developer": "Team Fortress 2 team",
"display_name": "Team Fortress 2 server",
"id": "tf2server",
"image_name": "ubuntu-20.04-x64",
"min_disk": 30,
"min_ram": 16,
"min_vcpus": 4,
"os_name": "Ubuntu 20.04",
"os_version": 20.04,
"region_id": 1,
"short_description": "tf2server.short_description",
"usage": "tf2server.usage",
"version": "latest",
"website": "www.tf2server.com"
}
]
}Instances
List apptemplates
Retrieve marketplace application templates list. Application templates are used in instance creation API v2
GET
/
cloud
/
v1
/
apptemplates
/
{project_id}
/
{region_id}
List apptemplates
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Was this page helpful?
⌘I